Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 168080 - Can not debug file if path and arguments contain some special characters
Can not debug file if path and arguments contain some special characters
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Egor Ushakov
issues@cnd
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 10:49 UTC by Alexander Pepin
Modified: 2009-07-15 17:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
gdb log (2.75 KB, text/plain)
2009-07-03 10:50 UTC, Alexander Pepin
Details
gdb log (2.29 KB, text/plain)
2009-07-06 12:24 UTC, Alexander Pepin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2009-07-03 10:49:35 UTC
On Windows:
- install NB into "C:\Program Files (x86)\NetBeans 6.7"
- set userdir to "C:\temp\Dunkan Mc'Cloud (aka $МЕДВЕД)\.netbeans"
- create Welcome in "D:\temp\Dunkan Mc'Cloud (aka МЕДВЕД)\Welcome_2"
- set run arguments: Я "Dunkan Mc'Cloud" "нашел (aka stole)" "$100"
- run the project, it runs successfully
- do step into project
Result: Debugger toolbar appears but the state is unknown (see attached gdb log)
Comment 1 Alexander Pepin 2009-07-03 10:50:49 UTC
Created attachment 84329 [details]
gdb log
Comment 2 Egor Ushakov 2009-07-03 14:19:55 UTC
fixed in:
http://hg.netbeans.org/cnd-main/rev/1ca405a06bb7
Comment 3 Alexander Pepin 2009-07-03 14:55:46 UTC
on Linux:

- can not debug using Output window if the project is created in 
/export/home/Мои Программы/

- debugger fails on gdb-version checking if I created Welcome sample project with name 'Dunkan Mc'Cloud'
/export/home/Мои Программы/Dunkan Mc'Cloud/
Comment 4 Egor Ushakov 2009-07-03 16:07:29 UTC
solaris issue is related to execution
Comment 5 Egor Ushakov 2009-07-03 16:11:46 UTC
execution part fixed in:
http://hg.netbeans.org/cnd-main/rev/50a566c9837d
Comment 6 Alexander Pepin 2009-07-06 12:23:44 UTC
the fix works fine on Windows

steel can not debug using Output window if the project is created in 
/export/home/Мои Программы/

see attached log 
Comment 7 Alexander Pepin 2009-07-06 12:24:46 UTC
Created attachment 84395 [details]
gdb log
Comment 8 Alexander Pepin 2009-07-06 12:25:31 UTC
see above
Comment 9 Alexander Pepin 2009-07-06 17:32:09 UTC
Not reproducible on Solaris and Mac.
An issue with space in path to installation directory on Linux will be filed as a separate issue.
This issue can be considered as fixed.
Comment 10 Alexander Pepin 2009-07-06 17:32:35 UTC
verified in dev build
Comment 11 pgebauer 2009-07-07 10:23:12 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/f7ffbdbf18a0
Comment 12 Alexander Pepin 2009-07-15 15:41:01 UTC
verified in nb6.7.1rc
Comment 13 Filip Zamboj 2009-07-15 17:47:04 UTC
according to apepin who verified in 6.7.1rc I believe that is fixed. Changing status whiteboard to 67patch1-verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo